aTV Flash (black) update v2.2 includes support for Apple TVs on 5.2: what features/plugins work and what doesn’t?

by umOuch on February 18, 2013


atv flash black 2 2 aTV Flash (black) update v2.2 includes support for Apple TVs on 5.2: what features/plugins work and what doesnt?

The FireCore team’s aTV Flash software, known as “black”, has recently been updated to version 2.2. This update incorporates support for Apple’s latest 5.2 software update (iOS 6.1), which officialy opened up support for Bluetooth devices to pair with your Apple TV. This is very exciting for those of you who had accidentally, or perhaps purposely, updated your black boxes in the past weeks. For those of you who have not yet updated your device, you need to consider one important question prior to clicking that software update option. The question before you is simply: “do I use Plex, Remote HD, Rowmote, or XBMC on my Apple TV?” If your answer is yes you may want to hold off on the Apple update as Apple’s latest software update also breaks these tools. We are sure this will be fixed, but as of now any Apple TV running 5.1 or higher will not have access to the items listed above.

That aside, aTV Flash (black) 2.2 has some exciting features for those of us already on the latest update. They have managed to integrate the Bluetooth keyboard functionality into all of their special features and additions to iOS. This means you get a fell keyboard experience while surfing the web, navigating their menus, and searching for content.

atv bluetooth aTV Flash (black) update v2.2 includes support for Apple TVs on 5.2: what features/plugins work and what doesnt?

Other things we will see in aTV Flash (black) 2.2 update:

  • Minor improvements to backups
  • Minor improvements to DVD playback
  • A handful of other bug fixes and improvements

WHAT DOESN’T WORK

3rd party plugins such as:

  • XBMC
  • Plex
  • Remote HD
  • Rowmote

are not yet compatible with the 5.1+ Apple TV software.

@thomashw, the developer of Plex client for Apple TV, has already confirmed on Plex forum that he will work on getting Plex working on the latest Apple TV software.

XBMC Developer Memphiz said on XBMC forum that the team is “trying their best” to make XBMC running on Apple TV 5.2. XBMC now available on iOS 6.1 for Apple TV

WHAT WORKS

Taking a look at the features/tools that typically comes with aTV Falsh (black), and subtracting the third-party software options/tools which are broken by Apple’s 5.1+ update, we are left with the follow list:

  • AirControl
  • Couch Surfer Pro
  • Last.fm
  • Maintenance
  • Media Player
  • RSS Player
  • RSS Feeds
  • Weather

apple tv contest1 aTV Flash (black) update v2.2 includes support for Apple TVs on 5.2: what features/plugins work and what doesnt?

HOW TO UPDATE

aTV Flash (black) 2.2 is compatible with any and all ATV2s running a minimum of 4.4 and up, so updating to 5.2 is not required. However, if you are wondering what the best way is to update, who better to listen to then the FireCore team themselves:

  1. Backup your settings through the Maintenance > Manage Backups menu.
  2. Run the latest version of Seas0nPass to update the Apple TV to 5.2.
  3. Download and install the new 2.2 version of aTV Flash (black).
  4. Install any desired items through the Maintenance > Manage Extras menu.
  5. Restore the previously saved settings through the Maintenance > Manage Backups menu.
  6. That’s it!

If you’re not yet using aTV Flash (black) you can get started here.

  • Meeeee
  • gustavo

    Wake up! xmbc is already working on 5.2. just look at the forum in the link you posted.

  • http://www.facebook.com/jason.klemm.71 Jason Klemm

    Weird. Since I upgraded, XBMC Constellation for iPad no longer connects. The iPhone version connects just fine however. Must be something on Constellation’s side? Other iPad remote apps (xbmcRemote) seem to be working just fine after the upgrade.

  • http://twitter.com/Robfeliz Rob feliz

    do not update to atv flash black 2.2 it is broken.

  • cybersun

    restoring error”this device isnt eligible for the reguested build”

    any help?

Previous post:

Next post: